Name:          ehcache-parent
Version:       2.3
Release:       %mkrel 1
Summary:       Ehcache Parent
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.terracotta.org/
# svn export http://svn.terracotta.org/svn/ehcache/tags/ehcache-parent-2.3
# tar czf ehcache-parent-2.3-src-svn.tar.gz ehcache-parent-2.3
Source0:       ehcache-parent-2.3-src-svn.tar.gz
#Source1:       ...
#Patch0:        ...
BuildRequires: java-devel
BuildRequires: jpackage-utils

# findbugs-maven-plugin 2.3.2

Requires:      maven-compiler-plugin
Requires:      maven-gpg-plugin
Requires:      maven-idea-plugin
Requires:      maven-javadoc-plugin
Requires:      maven-plugin-cobertura
Requires:      maven-pmd-plugin
Requires:      maven-source-plugin
Requires:      maven-release-plugin
Requires:      maven-surefire-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Ehcache is a widely used, pure Java, in-process, distributed cache.

%prep
%setup -q -n ehcache-parent-%{version}

%build

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*



%changelog

* Wed Oct 19 2011 gil <gil> 2.3-1.mga2
+ Revision: 156627
- imported package ehcache-parent

